jQuery(function (jQuery) {  

  jQuery(document).ready(function () {      
  });

  /*EVENTO AL ABRIR EL MODAL*/
  jQuery("body").on("click", ".nobody_order_trf", function (e) {
    e.preventDefault();
    let actualMetods = -1;
    if (JSON.parse(sessionStorage.getItem("aplications")) > -1) {
      actualMetods = JSON.parse(sessionStorage.getItem("aplications"));
    }    
    if (actualMetods > -1) {
      activeModalTrf(actualMetods);      
    } else {
      alert("Seleccione una aplicación "); 
    }
  });


  /*EVENTO AL CERRAR EL MODAL*/
  jQuery("body").on("click", '.modal-button-pagotrf__exit', function () {  
    let actualMetods = -1; 
    if (JSON.parse(sessionStorage.getItem("aplications")) > -1) {
      actualMetods = JSON.parse(sessionStorage.getItem("aplications"));
    }     
    
    closeAllTrf(actualMetods);    
  });
  /*EVENTO SIGUIENTE MODAL*/
  jQuery("body").on("click", '.btn-next-trf', function () { 
    let actualMetods = -1;   
    if (JSON.parse(sessionStorage.getItem("aplications")) > -1) {
      actualMetods = JSON.parse(sessionStorage.getItem("aplications"));
    }    
    continueNexModalTrf(actualMetods);
  });
  /*EVENTO VOLVER MODAL*/
  jQuery("body").on("click", '.btn-back-trf', function () { 
    let actualMetods = -1;   
    if (JSON.parse(sessionStorage.getItem("aplications")) > -1) {
      actualMetods = JSON.parse(sessionStorage.getItem("aplications"));
    }    
    returnPrevModalTrf(actualMetods);
  });
  /*EVENTO TERMINAR COMPRA*/
  jQuery("body").on("click", '.btn-next---checkout', function () { 
    let actualMetods = -1;   
    if (JSON.parse(sessionStorage.getItem("aplications")) > -1) {
      actualMetods = JSON.parse(sessionStorage.getItem("aplications"));
    }    
    closeAllTrf(actualMetods);
  });
  
  
});

/*Metodos para el modal abrir y cerar */

closeAllTrf = (indexDeAplicacion) => {
  returnPrevModalTrf(indexDeAplicacion);
  actcloseModalTrf(indexDeAplicacion);
}

returnPrevModalTrf = (indexDeAplicacion) =>{
  actcloseModalTrf('Final'+indexDeAplicacion);
  activeModalTrf(indexDeAplicacion);
}

continueNexModalTrf = (indexDeAplicacion) =>{
  actcloseModalTrf(indexDeAplicacion);
  activeModalTrf('Final'+indexDeAplicacion);
}

activeModalTrf = (indexDeAplicacion) =>{
  let overlay = document.getElementById('overlayModalPaymentTrf'+indexDeAplicacion);
  overlay.style.display = "flex";
}

actcloseModalTrf = (indexDeAplicacion) =>{
  let overlay = document.getElementById('overlayModalPaymentTrf'+indexDeAplicacion);
  overlay.style.display = "none";
}

